# Uses of Class
org.apache.lucene.sandbox.search.ProfilerCollector

Packages that use ProfilerCollector
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of ProfilerCollector in org.apache.lucene.sandbox.search

  Methods in org.apache.lucene.sandbox.search that return ProfilerCollector
  Modifier and Type
  Method
  Description
  `final ProfilerCollector`
  ProfilerCollectorManager.`newCollector()`
  Method parameters in org.apache.lucene.sandbox.search with type arguments of type ProfilerCollector
  Modifier and Type
  Method
  Description
  `ProfilerCollectorResult`
  ProfilerCollectorManager.`reduce(Collection<ProfilerCollector> collectors)`
  Constructor parameters in org.apache.lucene.sandbox.search with type arguments of type ProfilerCollector
  Modifier
  Constructor
  Description
  ``
  `ProfilerCollector(Collector collector, String reason, List<ProfilerCollector> children)`